/*
  latin4.c.  Produce a table of ISO Latin Alphabet 4.
  F. da Cruz, Columbia University, 1996.
*/
char *name[] = {
    "NO-BREAK SPACE",			/* 10/00 */
    "CAPITAL LETTER A WITH OGONEK",
    "SMALL GREENLANDIC LETTER K",
    "CAPITAL LETTER R WITH CEDILLA",
    "CURRENCY SIGN",
    "CAPITAL LETTER I WITH TILDE",
    "CAPITAL LETTER L WITH CEDILLA",
    "PARAGRAPH SIGN",
    "DIAERESIS",
    "CAPITAL LETTER S WITH CARON",
    "CAPITAL LETTER E WITH MACRON",
    "CAPITAL LETTER G WITH CEDILLA",
    "CAPITAL LETTER T WITH OBLIQUE STROKE",
    "SOFT HYPHEN",
    "CAPITAL LETTER Z WITH CARON",
    "MACRON",
    "DEGREE SIGN, RING ABOVE",		/* 11/00 */
    "SMALL LETTER a WITH OGONEK",
    "OGONEK",
    "SMALL LETTER r WITH CEDILLA",
    "ACUTE ACCENT",
    "SMALL LETTER i WITH TILDE",
    "SMALL LETTER l WITH CEDILLA",
    "CARON",
    "CEDILLA",
    "SMALL LETTER s WITH CARON",
    "SMALL LETTER e WITH MACRON",
    "SMALL LETTER g WITH CEDILLA ABOVE",
    "SMALL LETTER t WITH STROKE",
    "CAPITAL LAPPISH LETTER ENG",
    "SMALL LETTER z WITH CARON",
    "SMALL LAPPISH LETTER ENG",
    "CAPITAL LETTER A WITH MACRON",	/* 12/00 */
    "CAPITAL LETTER A WITH ACUTE ACCENT",
    "CAPITAL LETTER A WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER A WITH TILDE",
    "CAPITAL LETTER A WITH DIAERESIS",
    "CAPITAL LETTER A WITH RING ABOVE",
    "CAPITAL DIPHTHONG A WITH E",
    "CAPITAL LETTER I WITH OGONEK",
    "CAPITAL LETTER C WITH CARON",
    "CAPITAL LETTER E WITH ACUTE ACCENT",
    "CAPITAL LETTER E WITH OGONEK",
    "CAPITAL LETTER E WITH DIAERESIS",
    "CAPITAL LETTER E WITH DOT ABOVE",
    "CAPITAL LETTER I WITH ACUTE ACCENT",
    "CAPITAL LETTER I WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER I WITH MACRON",
    "CAPITAL LETTER D WITH STROKE",	/* 13/00 */
    "CAPITAL LETTER N WITH OGONEK", 
    "CAPITAL LETTER O WITH MACRON",
    "CAPITAL LETTER K WITH CEDILLA",
    "CAPITAL LETTER O WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER G WITH TILDE",
    "CAPITAL LETTER O WITH DIAERESIS", 
    "MULTIPLICATION SIGN",
    "CAPITAL LETTER O WITH OBLIQUE STROKE",
    "CAPITAL LETTER U WITH OGONEK",
    "CAPITAL LETTER U WITH ACUTE ACCENT",
    "CAPITAL LETTER U WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER U WITH DIAERESIS", 
    "CAPITAL LETTER U WITH TILDE", 
    "CAPITAL LETTER S WITH MACRON",
    "SMALL LETTER GERMAN SHARP S",
    "SMALL LETTER a WITH MACRON",	/* 14/00 */
    "SMALL LETTER a WITH ACUTE ACCENT",
    "SMALL LETTER a WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER a WITH TILDE",
    "SMALL LETTER a WITH DIAERESIS",
    "SMALL LETTER a WITH RING ABOVE",
    "SMALL DIPHTHONG a WITH e",
    "SMALL LETTER i WITH OGONEK",
    "SMALL LETTER c WITH CARON",
    "SMALL LETTER e WITH ACUTE ACCENT",
    "SMALL LETTER e WITH OGONEK",
    "SMALL LETTER e WITH DIAERESIS",
    "SMALL LETTER e WITH DOT ABOVE",
    "SMALL LETTER i WITH ACUTE ACCENT",
    "SMALL LETTER i WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER i WITH MACRON",
    "SMALL LETTER d WITH STROKE",	/* 15/00 */
    "SMALL LETTER n WITH CEDILLA",
    "SMALL LETTER o WITH MACRON",
    "SMALL LETTER k WITH CEDILLA",
    "SMALL LETTER o WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER o WITH TILDE", 
    "SMALL LETTER o WITH DIAERESIS", 
    "DIVISION SIGN",
    "SMALL LETTER o WITH OBLIQUE STROKE",
    "SMALL LETTER u WITH OGONEK",
    "SMALL LETTER u WITH ACUTE ACCENT",
    "SMALL LETTER u WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER u WITH DIAERESIS", 
    "SMALL LETTER u WITH TILDE", 
    "SMALL LETTER u WITH MACRON", 
    "DOT ABOVE"
};

main() {
    int i, j;
    printf("ISO 8859-4 Latin Alphabet 4\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
